Subject: bug#67862: 30.0.50; Handler-bind and ert-test-error-debug

From: Stefan Monnier <[email-masked]>
Date: Fri, 02 Feb 2024 18:44:35 -0500

>> For `my-timer`, on the other hand, hmm...
>
> For this one, enabling `debug-on-error' at least seems to restore the
> original behavior in terms of exiting nonzero, which should free users
> from having to grep for "Error running timer" in the output of passing
> tests.

Not getting a backtrace, or ERT not noticing that there was an error is
"normal": which errors are detected and which aren't is subtly different
and it's hard to argue that the old way was better (it has upsides and
downsides).

But inf-looping definitely counts as a bug in my book (since the
`with-timeout` should rule it out) and I don't have an explanation for it.
Any help debugging it would be welcome.

        Stefan